/*	$Kolabore: common.h,v 1.9 2006/10/03 09:34:31 maxx Exp $	*/
/*
 * Copyright (c) 2006 Moritz Grimm <gtgbr@gmx.net>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * XSICommon:
 * Class for information/stats gathering using methods that are OS/platform-
 * independent.
 */

#ifndef __COMMON_H__
#define __COMMON_H__

#include "xmlsysinfo.h"

class XSICommon : public XSIBase {
public:
	virtual ~XSICommon(void);

	virtual int	tryOpenPrivilegedDevices(void);

protected:
	virtual void	collectSysInfo(void);
	virtual void	updateStats(void);
};

#endif /* __COMMON_H__ */
